﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using System.Diagnostics;

namespace _110801
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            
            DataSet ds = new DataSet();
            DataTable root = new DataTable("root");
            root.Columns.Add("id", typeof(int)).AutoIncrement = true;
            root.Columns.Add("Text", typeof(string));
            root.Columns.Add("Double", typeof(double));


            DataTable child = new DataTable("child");
            child.Columns.Add("id", typeof(int)).AutoIncrement = true;
            child.Columns.Add("pid", typeof(int));
            child.Columns.Add("Text", typeof(string));
            child.Columns.Add("Double", typeof(double));

            Random rnd = new Random();
            for (int i = 0; i < 7; i++)
            {
                DataRow row = root.Rows.Add(null, string.Format("root{0}", i), (double)rnd.Next(1000, 100000) / (double)100);
                for (int j = 0; j < 5; j++)
                {
                    child.Rows.Add(null, row["id"],string.Format("root{0}Child{1}", i,j), (double)rnd.Next(1000, 100000) / (double)100);
                }
            }

            ds.Tables.AddRange(new DataTable[] { root, child });
            ds.Relations.Add(root.Columns["id"], child.Columns["pid"]);
            ds.Relations.Add(child.Columns["id"], child.Columns["pid"]);
            ultraGrid1.DisplayLayout.MaxBandDepth = 4;
            ultraGrid1.DataSource = ds;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            foreach (var band in e.Layout.Bands)
            {
                SummarySettings sum1 = band.Summaries.Add(Infragistics.Win.UltraWinGrid.SummaryType.Sum, band.Columns["Double"]);
                sum1.SummaryPosition = SummaryPosition.UseSummaryPositionColumn;
                sum1.Key = string.Format("sum{0}", band.Index);
            }

        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            ultraGridExcelExporter1.Export(ultraGrid1, "Test.xls");
            Process.Start("Test.xls");
        }
    }
}
